Subject: Re: [PATCH v4] remote: allow specifying refs to prefetch

From: Junio C Hamano <[email-masked]>
Date: Wed, 06 Nov 2024 00:20:39 -0800

Patrick Steinhardt <[email-masked]> writes:

> So yes, we'd have to teach Git to ignore "*" remotes in many places. I
> would hope that it isn't all that involved and that we only need to
> adjust a couple of places to ignore "*". But the remote logic is
> somewhat outside of my area of expertise, so my hope might be misplaced.

I am hoping that it would not be too painful to exclude '*' from
enumeration, and also, "git fetch '*'" and other things that expect
the name of a remote do not say silly things like "ah, there is
"remote.*.<something>" configuration defined, so '*' must be a name
of a remote" ;-)

It might take certain refactoring, but if it results in a cleaner
codebase, that is also a welcome outcome.

Thanks.